@tailwind base;
@tailwind components;
@tailwind utilities;

a {
    text-decoration: none !important;
    color: inherit !important;
}

a:active,
a:hover,
a:visited {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    -webkit-user-select: none;
    -moz-user-focus: none;
    -moz-user-select: none;
}

html {
    overflow-y: auto;
    overflow-x: hidden;
    background-color: #3a3a3a;
    width: 100%;
}

body {
    max-width: 750px;
    margin: 0 auto;
    position: relative;
}

html::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px rgba(240, 240, 240, 0.5);
    border-radius: 10px;
    background-color: rgba(50, 50, 50, 0.1);
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 0px rgba(240, 240, 240, 0.5);
    background-color: rgba(50, 50, 50, 0.3);
}

img {
    display: block;
    margin: auto;
    width: 100%;
}

/* tk dialog */
.fixed-full,
.fixed-mask {
    bottom: 0;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
}

img {
    line-height: 1;
    max-height: 100%;
    max-width: 100%;
}

.swiper-pagination-bullets.swiper-pagination-horizontal {
    --swiper-pagination-bullet-size: 0.375rem;
    --swiper-pagination-bullet-horizontal-gap: 0.1875rem;
    --swiper-pagination-color: #fff;
    --swiper-pagination-bullet-inactive-color: #fff;
    --swiper-pagination-bullet-inactive-opacity: 0.3;
    bottom: 0.625rem;
    line-height: 0px;
}

.swiper-pagination-bullets.swiper-pagination-horizontal .swiper-pagination-bullet {
    border-radius: 0.25rem;
    height: 0.375rem;
    margin-left: 0.25rem;
    margin-right: 0.25rem;
    transition-duration: 0.15s;
    transition-property: width;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    width: 0.375rem;
}

.swiper-pagination-bullets.swiper-pagination-horizontal .swiper-pagination-bullet-active {
    width: 0.75rem;
}

@keyframes zoomin {

    0%,
    100% {
        transform: scale(1);
    }

    50% {
        transform: scale(0.95);
    }
}

@tailwind base;
@tailwind components;
@tailwind utilities;

* {
    padding: 0;
    margin: 0;
    user-select: none;
    box-sizing: border-box;
}

a {
    text-decoration: none !important;
    color: inherit !important;
}

a:active,
a:hover,
a:visited {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    -webkit-user-select: none;
    -moz-user-focus: none;
    -moz-user-select: none;
}

:root {
    --lobby__screen-height: calc(var(--lobby__vh) * 100);
}

html[data-device="mobile"] {
    font-size: calc(100vw / (750 / 100));
}

html[data-ui-contain="1"] {
    background-color: #3a3a3a;
    font-size: calc(var(--lobby__max-width) / (750 / 100)) !important;
    margin: 0 auto;
    max-width: var(--lobby__max-width);
}

html[data-device="mobile"] {
    --lobby__main-width-pc: 100%;
}

body,
html {
    background: #030704;
    font-size: 14px;
    height: var(--lobby__screen-height);
    margin: 0 auto;
    position: relative;
}

html body {
    min-height: 100%;
    -webkit-tap-highlight-color: transparent;
    background-color: #030704;
    color: #fff;
    font-size: 0.24rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: -apple-system, BlinkMacSystemFont, Helvetica Neue, Helvetica,
        Segoe UI, Arial, Roboto, PingFang SC, miui, Hiragino Sans GB,
        Microsoft Yahei, sans-serif;
    transform: scale(1);
}

html[data-ui-contain="1"] body {
    width: 100% !important;
}

.scrollbar-hide::-webkit-scrollbar {
    width: 0px;
}

.scrollbar-hide::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px rgba(240, 240, 240, 0.5);
    border-radius: 10px;
    background-color: rgba(50, 50, 50, 0.1);
}

.scrollbar-hide::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 0px rgba(240, 240, 240, 0.5);
    background-color: rgba(50, 50, 50, 0.2);
}

img {
    display: block;
    margin: auto;
    /* width: 100%; */
}

/* tk dialog */
.fixed-full,
.fixed-mask {
    bottom: 0;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
}

img {
    line-height: 1;
    max-height: 100%;
    max-width: 100%;
}

@keyframes zoomin {

    0%,
    100% {
        transform: scale(1);
    }

    50% {
        transform: scale(0.95);
    }
}

@keyframes ani-scale {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}


.animate-\[zoomin_1\.2s_infinite\] {
    animation: zoomin 1.2s infinite
}

.animate-\[zoomin_2s_cubic-bezier\(0\.4\2c 0\2c 0\.6\2c 1\)_infinite\] {
    animation: zoomin 2s cubic-bezier(.4, 0, .6, 1) infinite
}

#link {
    height: 100vh;
    max-width: 750px;
    position: relative;
    overflow: scroll;
}

#link {
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

#link::-webkit-scrollbar {
    display: none;
}

.swiper-container {
    overflow: hidden;
    width: 100%;
    padding: 0 .35rem;
    height: 4rem;
    position: absolute;
    bottom: .15rem;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    display: flex;
    align-items: center;
}

.swiper-wrapper {
    align-items: center;
}

.swiper-pagination-bullet {
    width: 0.1rem !important;
    height: 0.1rem !important;
    background: #fff;
    opacity: 0.5;
    border-radius: 50%;
    transition: all 0.3s;
    margin: 0 4px;
}

.swiper-pagination-bullet-active {
    width: 0.21rem !important;
    height: 0.1rem !important;
    border-radius: 16px;
    opacity: 1;
    background: #fff;
}